#include <iostream>

using namespace std;

const int MAXN = 50001;
int N, E[MAXN];

int main() {
    ios::sync_with_stdio(false);
    cin >> N;
    for (int i = 1; i <= N; ++i)
        cin >> E[i];
    
    int p = 0, q = 0;
    int mx = N;
    for (int i = N - 1; i > 0; --i) {
        int e1 = E[i], e2 = E[mx];
        if (e1 < e2) {
            if (e1 + e2 > E[p] + E[q]) {
                p = i, q = mx;
            }
        }
        else {
            mx = i;
        }
    }
    cout << p << " " << q << endl;
    
    return 0;
}
